!==================================================================================!
!
!  FD_ALLOCATE
!
!==================================================================================!
SUBROUTINE fd_allocate
  USE global
  IMPLICIT NONE
  INTEGER :: status, sum

  sum=0

  allocate(srp(nx,nz),STAT=status);      sum=sum+status
  allocate(stp(nx,nz),STAT=status);      sum=sum+status
  allocate(up(nx,nz),STAT=status);       sum=sum+status
  allocate(rho(nx,nz),STAT=status);      sum=sum+status
  allocate(mu1(nx,nz),STAT=status);      sum=sum+status
  allocate(mu2(nx,nz),STAT=status);      sum=sum+status
  allocate(theta1(nx,nz),STAT=status);   sum=sum+status
  allocate(theta2(nx,nz),STAT=status);   sum=sum+status
  allocate(cot1(nx,nz),STAT=status);     sum=sum+status
  allocate(cot2(nx,nz),STAT=status);     sum=sum+status
  allocate(r1(nx,nz),STAT=status);       sum=sum+status
  allocate(r2(nx,nz),STAT=status);       sum=sum+status
  allocate(Q1(nx,nz),STAT=status);       sum=sum+status
  allocate(Q2(nx,nz),STAT=status);       sum=sum+status

  IF (sum/=0) THEN; STOP 'can not allocate space variables'; ENDIF

END SUBROUTINE fd_allocate
!==================================================================================!

